<?php
define('EmpireCMSAdmin','1');
require("../../class/connect.php");
require("../../class/db_sql.php");
require("../../class/functions.php");
require("../../class/dpfun.php");
require("../../class/tag.php");
require "../".LoadLang("pub/fun.php");
require("../../data/dbcache/class.php");
$link=db_connect();
$empire=new mysqlquery();
$editor=1;
//验证用户
$lur=is_login();
$logininid=$lur['userid'];
$loginin=$lur['username'];
$loginrnd=$lur['rnd'];
$loginlevel=$lur['groupid'];
$loginadminstyleid=$lur['adminstyleid'];

//栏目
$classid=(int)$_GET['classid'];
//ID
$id=$_GET['id'];

$bookid=explode(',',$id);
$count=count($bookid);
$mbk='';
for($i=0;$i<$count;$i++){
	$mbk.='<span>《'.GetBK($bookid[$i]).'》</span>';
}

if($sinfo&&empty($id))
{
	$firstpost=1;
}
$time=time();
//专题
$i=0;
$query="select tagid,tagname,num,isgood from {$dbtbpre}enewstags  order by isgood desc,tagid desc";
$sql=$empire->query($query);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>移动书籍到其他作者</title>
<link href="../adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
<style type="text/css">
	.noa span{white-space:nowrap;}
</style>
</head>

<body>


<form name="form1" method="post" action="ListTags.php">
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
    <tr class=header>
      <td>
	  推送书籍到TAG
	  </td>
    </tr>
	<tr  bgcolor="#FFFFFF">
      <td style="padding:10px 15px; line-height:27px;">
	  <b>想要推送的书籍：</b><br><div class="noa"><?=$mbk?></div>
	  </td>
    </tr>
	<tr  bgcolor="#FFFFFF">
      <td style="padding:10px 15px; line-height:27px;">
	  <b>请选择目标Tag：</b><br>
	  <table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr bgcolor="#FFFFFF">

    <?
  while($r=$empire->fetch($sql))
  {
	  $i+=1;
  ?>
     
      <td height="25" width=25%><input name="tagid[]" type="checkbox" id="tagid[]" value="<?=$r[tagid]?>"<?=$check?>>
        <?=$r['tagname']?></td>
  <?php
	if($i%4==0){
		  echo '</tr><tr bgcolor="#FFFFFF">';
	  }
	
  }
  ?>
		 </tr>
	   </table>

	  </td>
    </tr>

    <tr bgcolor="#FFFFFF"> 
      <td height="25" style="padding:10px 15px;"> 
          <input type="submit" name="Submit2" value="确定推送">
          &nbsp;&nbsp; 
          <input name="enews" type="hidden" id="enews" value="PushInfoToTag">
          <input name="id" type="hidden" id="id" value="<?=$id?>">
       </td>
    </tr>
  </table>
</form>





</body>
</html>
<?
db_close();
$empire=null;
?>
